<div [solidifySpinner]="!isTour && ((!isEdit | isTrue) && (isLoadingObs | async)) || ((!isEdit | isFalse) && (isLoadingWithDependencyObs | async))"
     class="wrapper"
>
  <dlcm-deposit-form #formPresentational
                     (dirtyChange)="updateCanDeactivate($event)"
                     (editChange)="edit()"
                     (navigate)="navigate($event)"
                     (submitChange)="update($event)"
                     *ngIf="isTour || (isReadyToBeDisplayedObs | async)"
                     [additionalFieldsForm]="additionalFieldsFormObs | async"
                     [currentApplicationRole]="currentUserApplicationRoleObs | async"
                     [defaultPlatformLicenseId]="(systemPropertyObs | async)?.defaultLicense"
                     [defaultIdentifierType]="(systemPropertyObs | async)?.defaultIdentifierType"
                     [editAvailable]="(canEditObs | async) !== depositEditModeEnum.none"
                     [isMetadataEdit]="(canEditObs | async) === depositEditModeEnum.metadata"
                     [isTourMode]="isTour"
                     [languages]="languagesObs | async"
                     [listPreservationPolicies]="listPreservationPoliciesObs | async"
                     [listSubmissionPolicies]="listSubmissionPoliciesObs | async"
                     [model]="currentObs | async"
                     [orgUnitLogo]="logoOrgUnitObs | async"
                     [orgUnit]="orgUnitObs | async"
                     [personConnected]="personConnectedObs | async"
                     [readonly]="!isEdit"
                     [selectedPersons]="selectedPersonObs | async"
                     [tabMode]="depositModeTabEnumObs | async"
                     [editMode]="canEditObs | async"
                     [sip]="sipObs | async"
                     [dataFileDua]="dataFileDuaObs | async"
                     [listArchiveMasterTypes]="listArchivesMasterTypesObs | async"
                     [listSubjectAreas]="listSubjectAreasObs | async"
                     [currentLanguage]="currentLanguageObs | async"
  >
  </dlcm-deposit-form>
</div>
